import LP  # The ScrumPy linear programming module


# output fluxes calculated from biomass composition
FluxDic ={
    "Mthf_tx" : -0.05,
    "Putrescine_tx" : -0.035,
    "Succoa_tx" : -3e-06,
    "Arg_tx" : -0.130805,
    "Phe_tx" : -0.13874,
    "amp_tx" : -0.001,
    "nadp_tx" : -0.0004,
    "Ala_tx" : -0.748399,
    "Gly_tx" : -1.498961,
    "Phosphatidylethanolamine_tx" : -0.001531,
    "lps_tx" : -0.000937,
    "Tyr_tx" : -0.040246,
    "Phosphatidylserin_tx" : -4e-06,
    "AcCoA_tx" : -5e-05,
    "Star_tx" : -0.027476,
    "Asp_tx" : -0.374015,
    "Ser_tx" : -0.317225,
    "Peptidoglycan_tx" : -0.49404,
    "Coa_tx" : -6e-06,
    "nad_tx" : -0.00215,
    "Gln_tx" : -0.200228,
    "Met_tx" : -0.104726,
    "Phosphatidylglycerol_tx" : -0.00042,
    "Leu_tx" : -0.206491,
    "Lys_tx" : -0.311404,
    "Cys_tx" : -0.017197,
    "Thr_tx" : -0.349831,
    "ctp_tx" : -0.166895,
    "nadh_tx" : -5e-05,
    "atp_tx" : -0.15, 
    "Ile_tx" : -0.087361,
    "Spermidine_tx" : -0.007,
    "dATP_tx" : -0.026137,
    "DGR_tx" : -0.000188,
    "Phosphatidate_tx" : -4e-06,
    "UDP-Glucose_tx" : -0.003,
    "fad_tx" : -1e-05,
    "His_tx" : -0.067143,
    "Glt_tx" : -0.256058,
    "nadph_tx" : -0.00013,
    "Trp_tx" : -0.087887,
    "clpn_tx" : -1.4e-05,
    "utp_tx" : -0.154549,
    "Asn_tx" : -0.272689,
    "dCTP_tx" : -0.028567,
    "Val_tx" : -0.284577,
    "Pro_tx" : -0.256971,
    "dTTP_tx" : -0.026137,
    "dGTP_tx" : -0.028567,
    "gtp_tx" : -0.186332, 
}

def BuildLP(m, fd=FluxDic):
    """ build lp from model m """
    
    lp=LP.lp(m)
    
    lp.SetObjective(lp.cnames.values())
    # set the Objective to minimise all fluxes.

    lp.SetFixedFlux(fd)

    return lp
